xmltooling::PathResolver Class Reference

Resolves local filenames into absolute pathnames. More...

`#include <xmltooling/util/PathResolver.h>`

## Public Types

enum | file_type_t { XMLTOOLING_LIB_FILE , XMLTOOLING_LOG_FILE , XMLTOOLING_XML_FILE , XMLTOOLING_RUN_FILE , XMLTOOLING_CFG_FILE , XMLTOOLING_CACHE_FILE }
| Types of file resources to resolve.

## Public Member Functions

virtual void | setDefaultPackageName (const char *pkgname)
| Set the default package to use when resolving files.
virtual void | setDefaultPrefix (const char *prefix)
| Set the default installation prefix to use when resolving files.
virtual void | setLibDir (const char *dir)
| Set the lib directory to use when resolving files.
virtual void | setLogDir (const char *dir)
| Set the log directory to use when resolving files.
virtual void | setXMLDir (const char *dir)
| Set the XML directory to use when resolving files.
virtual void | setRunDir (const char *dir)
| Set the run directory to use when resolving files.
virtual void | setCfgDir (const char *dir)
| Set the config directory to use when resolving files.
virtual void | setCacheDir (const char *dir)
| Set the cache directory to use when resolving files.
virtual const std::string & | resolve (std::string &s, file_type_t filetype, const char *pkgname=0, const char *prefix=0) const
| Changes the input filename into an absolute pathname to the same file.

## Detailed Description

Resolves local filenames into absolute pathnames.

## Member Function Documentation

## resolve()

virtual const std::string & xmltooling::PathResolver::resolve | ( | std::string & | s,
|  | file_type_t | filetype,
|  | const char * | pkgname = 0,
|  | const char * | prefix = 0 ) const

virtual

Changes the input filename into an absolute pathname to the same file.

Parameters

  s | filename to resolve
  filetype | type of file being resolved
  pkgname | application package name to use in resolving the file (or nullptr for the default)
  prefix | installation prefix to use in resolving the file (or nullptr for the default)

Returns
  a const reference to the input string

## setCacheDir()

virtual void xmltooling::PathResolver::setCacheDir | ( | const char * | dir | ) |

virtual

Set the cache directory to use when resolving files.

If relative, the default prefix will be prepended.

Parameters

  dir | the cache directory to use

## setCfgDir()

virtual void xmltooling::PathResolver::setCfgDir | ( | const char * | dir | ) |

virtual

Set the config directory to use when resolving files.

If relative, the default prefix will be prepended.

Parameters

  dir | the config directory to use

## setDefaultPackageName()

virtual void xmltooling::PathResolver::setDefaultPackageName | ( | const char * | pkgname | ) |

virtual

Set the default package to use when resolving files.

Parameters

  pkgname | name of default package to use

## setDefaultPrefix()

virtual void xmltooling::PathResolver::setDefaultPrefix | ( | const char * | prefix | ) |

virtual

Set the default installation prefix to use when resolving files.

Parameters

  prefix | name of default prefix to use

## setLibDir()

virtual void xmltooling::PathResolver::setLibDir | ( | const char * | dir | ) |

virtual

Set the lib directory to use when resolving files.

If relative, the default prefix will be prepended.

Parameters

  dir | the library directory to use

## setLogDir()

virtual void xmltooling::PathResolver::setLogDir | ( | const char * | dir | ) |

virtual

Set the log directory to use when resolving files.

If relative, the default prefix will be prepended.

Parameters

  dir | the log directory to use

## setRunDir()

virtual void xmltooling::PathResolver::setRunDir | ( | const char * | dir | ) |

virtual

Set the run directory to use when resolving files.

If relative, the default prefix will be prepended.

Parameters

  dir | the run directory to use

## setXMLDir()

virtual void xmltooling::PathResolver::setXMLDir | ( | const char * | dir | ) |

virtual

Set the XML directory to use when resolving files.

If relative, the default prefix will be prepended.

Parameters

  dir | the XML directory to use

The documentation for this class was generated from the following file:

- xmltooling/util/PathResolver.h